SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   PCRE Vendors:   pcre.org
(Oracle Issues Fix for Oracle Linux) PCRE Regex Overflow Lets Remote Users Cause the Target Service to Crash
SecurityTracker Alert ID:  1035854
SecurityTracker URL:  http://securitytracker.com/id/1035854
CVE Reference:   CVE-2015-5073   (Links to External Site)
Date:  May 11 2016
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 8.37; possibly other versions
Description:   A vulnerability was reported in PCRE. A remote user can cause the target service to crash.

A remote user can supply a specially crafted regular expression that, when processed by the target application that uses PCRE, will trigger a heap overflow in find_fixedlength() and cause the target application to crash.

Wen Guanxing from Venustech ADLAB reported this vulnerability.

Impact:   A remote user can cause the target application to crash.
Solution:   Oracle has issued a fix.

The Oracle Linux advisory is available at:

http://linux.oracle.com/errata/ELSA-2016-1025.html

Vendor URL:  linux.oracle.com/errata/ELSA-2016-1025.html (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Oracle)
Underlying OS Comments:  7

Message History:   This archive entry is a follow-up to the message listed below.
Jul 31 2015 PCRE Regex Overflow Lets Remote Users Cause the Target Service to Crash



 Source Message Contents

Subject:  [El-errata] ELSA-2016-1025 Important: Oracle Linux 7 pcre security update

Oracle Linux Security Advisory ELSA-2016-1025

http://linux.oracle.com/errata/ELSA-2016-1025.html

The following updated rpms for Oracle Linux 7 have been uploaded to the 
Unbreakable Linux Network:

x86_64:
pcre-8.32-15.el7_2.1.i686.rpm
pcre-8.32-15.el7_2.1.x86_64.rpm
pcre-devel-8.32-15.el7_2.1.i686.rpm
pcre-devel-8.32-15.el7_2.1.x86_64.rpm
pcre-static-8.32-15.el7_2.1.i686.rpm
pcre-static-8.32-15.el7_2.1.x86_64.rpm
pcre-tools-8.32-15.el7_2.1.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates/pcre-8.32-15.el7_2.1.src.rpm



Description of changes:

[8.32-15.1]
- Fix CVE-2015-2328 (infinite recursion compiling pattern with recursive
   reference in a group with indefinite repeat) (bug #1330508)
- Fix CVE-2015-8385 (buffer overflow caused by named forward reference to
   duplicate group number) (bug #1330508)
- Fix CVE-2015-8386 (buffer overflow caused by lookbehind assertion)
   (bug #1330508)
- Fix CVE-2015-3217 (stack overflow caused by mishandled group empty match)
   (bug #1330508)
- Fix CVE-2015-5073 and CVE-2015-8388 (buffer overflow for forward reference
   within backward assertion with excess closing parenthesis) (bug #1330508)
- Fix CVE-2015-8391 (inefficient posix character class syntax check)
   (bug #1330508)
- Fix CVE-2016-3191 (workspace overflow for (*ACCEPT) with deeply nested
   parentheses) (bug #1330508)


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2022, SecurityGlobal.net LLC